Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.modeshape.graph.request
Enum RequestType

    java.lang.Object
      java.lang.Enum<RequestType>
          org.modeshape.graph.request.RequestType

All Implemented Interfaces:
  Serializable, Comparable<RequestType>

    public enum RequestType

extends Enum<RequestType>

Enumeration of supported request types.

Enum Constant Summary
`ACCESS_QUERY`
`CLONE_BRANCH`
`CLONE_WORKSPACE`
`COLLECT_GARBAGE`
`COMPOSITE`
`COPY_BRANCH`
`CREATE_NODE`
`CREATE_WORKSPACE`
`DELETE_BRANCH`
`DELETE_CHILDREN`
`DESTROY_WORKSPACE`
`FULL_TEXT_SEARCH`
`FUNCTION`
`GET_WORKSPACES`
`INVALID`
`LAST`
`LOCK_BRANCH`
`MOVE_BRANCH`
`READ_ALL_CHILDREN`
`READ_ALL_PROPERTIES`
`READ_BLOCK_OF_CHILDREN`
`READ_BRANCH`
`READ_NEXT_BLOCK_OF_CHILDREN`
`READ_NODE`
`READ_PROPERTY`
`REMOVE_PROPERTY`
`RENAME_NODE`
`SET_PROPERTY`
`UNLOCK_BRANCH`
`UPDATE_PROPERTIES`
`UPDATE_VALUES`
`VERIFY_NODE_EXISTS`
`VERIFY_WORKSPACE`

Method Summary
`static RequestType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RequestType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ACCESS_QUERY

    public static final RequestType ACCESS_QUERY

### COMPOSITE

    public static final RequestType COMPOSITE

### CLONE_BRANCH

    public static final RequestType CLONE_BRANCH

### CLONE_WORKSPACE

    public static final RequestType CLONE_WORKSPACE

### COLLECT_GARBAGE

    public static final RequestType COLLECT_GARBAGE

### COPY_BRANCH

    public static final RequestType COPY_BRANCH

### CREATE_NODE

    public static final RequestType CREATE_NODE

### CREATE_WORKSPACE

    public static final RequestType CREATE_WORKSPACE

### DELETE_BRANCH

    public static final RequestType DELETE_BRANCH

### DELETE_CHILDREN

    public static final RequestType DELETE_CHILDREN

### DESTROY_WORKSPACE

    public static final RequestType DESTROY_WORKSPACE

### FULL_TEXT_SEARCH

    public static final RequestType FULL_TEXT_SEARCH

### GET_WORKSPACES

    public static final RequestType GET_WORKSPACES

### LAST

    public static final RequestType LAST

### LOCK_BRANCH

    public static final RequestType LOCK_BRANCH

### MOVE_BRANCH

    public static final RequestType MOVE_BRANCH

### READ_ALL_CHILDREN

    public static final RequestType READ_ALL_CHILDREN

### READ_ALL_PROPERTIES

    public static final RequestType READ_ALL_PROPERTIES

### READ_BLOCK_OF_CHILDREN

    public static final RequestType READ_BLOCK_OF_CHILDREN

### READ_BRANCH

    public static final RequestType READ_BRANCH

### READ_NEXT_BLOCK_OF_CHILDREN

    public static final RequestType READ_NEXT_BLOCK_OF_CHILDREN

### READ_NODE

    public static final RequestType READ_NODE

### READ_PROPERTY

    public static final RequestType READ_PROPERTY

### REMOVE_PROPERTY

    public static final RequestType REMOVE_PROPERTY

### RENAME_NODE

    public static final RequestType RENAME_NODE

### SET_PROPERTY

    public static final RequestType SET_PROPERTY

### UNLOCK_BRANCH

    public static final RequestType UNLOCK_BRANCH

### UPDATE_PROPERTIES

    public static final RequestType UPDATE_PROPERTIES

### UPDATE_VALUES

    public static final RequestType UPDATE_VALUES

### VERIFY_NODE_EXISTS

    public static final RequestType VERIFY_NODE_EXISTS

### VERIFY_WORKSPACE

    public static final RequestType VERIFY_WORKSPACE

### INVALID

    public static final RequestType INVALID

### FUNCTION

    public static final RequestType FUNCTION

Method Detail

### values

    public static RequestType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (RequestType c : RequestType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static RequestType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.